package com.lqkj.link.module.zone.service;

import com.lqkj.link.module.zone.domain.MaterialInfo;
import com.lqkj.link.module.zone.domain.ModelCategory;
import org.springframework.data.domain.Page;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface MaterialInfoService {


    /**
     * 保存材质
     * @param materialInfo
     * @return
     */
    void sava(MaterialInfo materialInfo);

    /**
     * 批量删除材质
     * @param materialId
     */
    void batchDelete(List<Integer> materialId);

    /**
     * 材质分页查询
     * @param name
     * @param page
     * @param pageSize
     * @return
     */
    Page<MaterialInfo> pageQuery(String name, Integer page, Integer pageSize, Integer materialType, Integer userId);


    /**
     * 批量添加材质
     * @param compressFilePath
     */
    void batchAdd(String compressFilePath);

    List<MaterialInfo> getAll(String materialName);

}
