package com.lqkj.link.module.zone.service;

import com.lqkj.link.module.zone.domain.TextureInfo;
import org.springframework.data.domain.Page;

import java.util.List;

public interface TextureInfoService {


    /**
     * 保存材质
     * @param textureInfo
     * @return
     */
    void sava(TextureInfo textureInfo);

    /**
     * 批量删除材质
     * @param materialId
     */
    void batchDelete(List<Integer> materialId);

    /**
     * 获取全部贴图
     * @param name
     * @return
     */
    List<TextureInfo> getAll(String name, Integer userId);
}
