

ALTER TABLE share_info
    add COLUMN if not exists share_type int;
comment on column share_info.share_type is '分享类型 1：可查看 2：可编辑';

create table if not exists texture_info
(
    texture_id      SERIAL             not null,
    texture_name    VARCHAR(255)       null,
    texture_path    VARCHAR(255)       null,
    user_id         int                null,
    constraint PK_TEXTURE_INFO primary key (texture_id)
);
comment on table texture_info is
'贴图信息表';
comment on column texture_info.texture_id is
'贴图id';
comment on column texture_info.texture_name is
'贴图名称';
comment on column texture_info.texture_path is
'贴图路径';
comment on column texture_info.user_id is
'用户id';

ALTER TABLE geom_info
    add COLUMN if not exists texture_id int;
comment on column geom_info.texture_id is '贴图id';

ALTER TABLE geom_info
    add COLUMN if not exists color VARCHAR(255);
comment on column geom_info.color is '颜色';


