alter table zone_info add column like_count INT4 default 0;
comment on column zone_info.like_count is
'点赞数: like_count';
create table Likes (
                       id SERIAL not null,
                       user_id INT4 not null,
                       zone_id INT4 not null,
                       create_time TIMESTAMP default current_timestamp,
                       constraint PK_LIKES primary key (id)
);
comment on table Likes is
'点赞表: Likes';
comment on column Likes.id is
'id: id';
comment on column Likes.user_id is
'用户id: user_id';
comment on column Likes.zone_id is
'点赞的作品id: zone_id';
comment on column Likes.create_time is
'点赞时间: create_time';

alter table share_info add column shared_user_id INT4;
comment on column share_info.shared_user_id is
'被分享人id: shared_user_id';

alter table notice_info add column zone_id INT4;
comment on column notice_info.zone_id is
'作品id: zone_id';
